### Hierarchy

- SortKeyConditionFunction

### Indexable

[key: string]: function

- - (...value: any[]): Expression

  - #### Parameters

    - ##### Rest ...value: any[]

    #### Returns Expression

## Index

### Properties

- beginsWith
- between
- eq
- equals
- gt
- gte
- lt
- lte

## Properties

### beginsWith

beginsWith: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:14

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

### between

between: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:13

#### Type declaration

- - (value1: any, value2: any): Expression

  - #### Parameters

    - ##### value1: any

    - ##### value2: any

    #### Returns Expression

### eq

eq: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:8

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

### equals

equals: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:7

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

### gt

gt: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:11

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

### gte

gte: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:12

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

### lt

lt: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:9

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

### lte

lte: function

- Defined in dynamo/expression/type/sort-key-condition-function.type.ts:10

#### Type declaration

- - (value: any): Expression

  - #### Parameters

    - ##### value: any

    #### Returns Expression

Generated using TypeDoc